require_relative 'balances'

module OldPlaid
  class Account
    attr_accessor :available_balance, :current_balance, :institution_type, :mask, :meta, :transactions, :numbers, :name, :account_id, :type, :subtype, :balances

    def initialize(hash)
      @account_id   = hash['_id']
      @name = hash['meta']['name'] if hash['meta']
      @type = hash['type']
      @meta = hash['meta']
      @mask = hash['meta']['number'] if hash['meta']
      @institution_type  = hash['institution_type']

      if hash['balance']
        @balances = Balances.new(
          available: hash['balance']['available'],
          current: hash['balance']['current']
        )
      end

      # Depository account only, "checkings" or "savings"
      # Available on live data, but not on the test data
      @subtype = hash['subtype']

      @numbers = hash['numbers'] ? hash['numbers'] : 'Upgrade user to access routing information for this account'
    end
  end
end
