module OldPlaid
  class Transaction
    attr_accessor :transaction_id, :account_id, :date, :amount, :name, :meta, :location, :pending, :score, :cat, :transaction_type, :category, :category_id, :pending_transaction_id

    def initialize(fields = {})
      @transaction_id = fields['_id']
      @account_id = fields['_account']
      @date = fields['date']
      @amount = fields['amount']
      @name = fields['name']
      @location = fields['meta'].nil? ? {} : fields['meta']['location']
      @pending = fields['pending']
      @pending_transaction_id = fields['_pendingTransaction']
      @score = fields['score']
      @cat = Category.new({ 'id' => fields['category_id'], 'hierarchy' => fields['category'], 'type' => fields['type'] })

      # Here for backwards compatibility only.
      @transaction_type = fields['type']['primary'] if fields['type']
      @category = fields['category']
      @category_id = fields['category_id']
      @meta = fields['meta']
    end
  end
end
